import httpRequest from '@/utils/axios'

// 获取实验旅程中的群组列表
export function getGroupsList() {
  return httpRequest.get('/api/lab/v1/experiment/itinerary/groups')
}

// 获取实验旅程中的属性列表
export function getAttrList() {
  return httpRequest.get('/api/lab/v1/experiment/itinerary/user-attr')
}

// 新建用户
export function createMember(data: { name: string; status: string; experiment_connection_id: string; gender: string; mobile: string; fields: string }) {
  return httpRequest.post('/api/lab/v1/experiment/member/create', data)
}

// 链接列表
export function getConnectionList(params: { created_operator?: string; type?: string; page?: number; page_size?: number }) {
  return httpRequest.get('/api/lab/v1/experiment/connection/list', { params })
}